<!--
//Andriy Andrusevych
//IT Generation
//JS Homework 3
-->

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS HW3 (Arrays)</title>
    <style>
        .center {
            text-align: center;
        }
    </style>

    <script type="text/javascript">

        //Task 1(Сделать собственные примеры методов применяемых для массивов)

        var example1 = [1, 20, 3, 5, 9, 10];
        var example2 = new Array(10);
        // Заповнюємо другий масив випадковими числами + метод length:
        function getRandomInt(min, max) {
            return Math.floor(Math.random() * (max - min + 1)) + min;
        }
        for (var i = 0; i < example2.length; i++) {
            example2[i] = getRandomInt(0, 400);
        }
        // Метод join

        var join = example1.join(" : ");
        document.write("Join example: " + join);
        document.write("<div class='center'>***</div>");

        // Метод concat

        document.write("Concat example: " + example1.concat(example2));
        document.write("<div class='center'>***</div>");

        // Method reverse

        document.write("Original array: " + example2 + "<br>");
        var rev = example2.reverse();
        document.write("Reversed array: " + rev);
        document.write("<div class='center'>***</div>");

        // Method slice

        var sl = example1.slice(0, 2);
        document.write("Sliced: " + sl);
        document.write("<div class='center'>***</div>");

        // Method sort

        document.write("Original array: " + example2 + "<br>");
        var sorted = example2.sort(function (a, b) { return a - b; });
        document.write("Sorted array: " + sorted);
        document.write("<div class='center'>***</div>");

        // Method splice

        document.write("Original array: " + example1 + "<br>");
        var spliced = example1.splice(0, 1, "+splice 1", "+splice 2");
        document.write("After splice: " + example1);
        document.write("<div class='center'>***</div>");

        // Method push & pop

        document.write("Original array: " + example1 + "<br>");
        var p = example1.push("+push");
        document.write("After push : " + example1 + "<br>");
        var push = example1.pop();
        document.write("After pop: " + example1 + "<br>");
        document.write("Deleted element: " + push + "<br>");
        document.write("<div class='center'>***</div>");

        //Method shift

        document.write("Original array: " + example1 + "<br>");
        var s = example1.shift();
        document.write("After shift: " + example1 + "<br>");
        document.write("Deleted element: " + s + "<br>");
        document.write("<div class='center'>***</div>");

        // Task 3 Определить элементы массива и вывести их значения, индексы которых лежит в указанном пределе. Предел вводит пользователь.)
        
        document.write("Task 3: </br>")
        var start = +prompt("Enter start index, up to " + (example2.length - 2));
        var end = +prompt("Enter end index, up to " + (example2.length - 1));
        if (end > example2.length - 1) {
            alert("Wrong index. Reload the page");
        }
        for (i = start; i < example2.length; i++) {
            document.write("Array element " + i + "= " + example2[i] + "</br>");
        }
        document.write("<div class='center'>***</div>");

        //Task 4(Sort array)
        
        document.write("Task 4: </br>")
        for (var j = 0; j < example2.length; j++) {
            example2[j] = prompt("Enter array element " + j);
        }
        document.write("Your array: " + example2 + "<br>");
        document.write("You array sorted " + example2.sort()); //default sorting method
        document.write("<div class='center'>***</div>");

        // Task 5 (Создать программу, выполняющую вставку элемента в массив после элемента, значение которого укажет пользователь)

        document.write("Task 5: </br>")
        var e = prompt("Enter new element");
        var ind = +prompt("Enter index for your element, max  (" + (example1.length - 1) + ")");
        document.write("Original array: " + example1 + "<br>");
        var t = example1.splice(ind, 0, e);
        document.write("Your array: " + example1 + "<br>");
        document.write("<div class='center'>***</div>");

        // Task 6 (Необходимо получить предпоследний элемент из массива month и вывести его на экран)

        var month = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];

        //method 1
        document.write(month[month.length - 2]);
        document.write("<div class='center'>***</div>");
        //method 2
        var e1 = month.slice((month.length - 2), (month.length - 1));
        document.write(e1);
        document.write("<div class='center'>***</div>");
        //method 3
        var e1 = month[(month.length - 2)];
        var e2 = month.splice((month.length - 2), 1, e1);
        document.write(e2);
        document.write("<div class='center'>***</div>");

        // Task 7 (Создать два произвольных массива + Объединить данные из двух массивов и вывести их в одну строку)

        //Method 1:
        var cities = ["Kyiv", "Rome", "Stockholm", "Brussels"];
        var countries = ["Ukraine", "Italy", "Sweden", "Belgium"];
        var capitals = [];

        for (var f = 0; f < cities.length; f++) {
            capitals = capitals.concat(countries[f], cities[f]);
        }
        document.write(capitals.join(" : "));
        document.write("<div class='center'>***</div>");

        //Method 2:
        var capitals2 = [];
        for (var f = 0; f < cities.length; f++) {
            capitals2[f] = [countries[f], cities[f]];
        }
        document.write(capitals2.join(" / "));


    </script>

</head>

<body>



</body>

</html>